# geda-docs.spec

Name: 		geda-docs
Version: 	20060123
Release: 	1
Summary: 	Documentation for gEDA
Group: 		Applications/Engineering
License:	GPL 
URL:		http://www.geda.seul.org
Source:		ftp://ftp.geda.seul.org/pub/geda/devel/20060123/geda-docs-20060123.tar.gz
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildArch:	noarch
Requires:	geda-symbols

%description
This package contains documentation for the gEDA project.


%define gedadocdir %{_datadir}/gEDA/docs

%prep
%setup -q

%build
%configure --with-docdir=%{gedadocdir}
make all

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm -Rf $RPM_BUILD_ROOT%{gedadocdir}/*/images.*
rm -Rf $RPM_BUILD_ROOT%{gedadocdir}/*/labels.pl

install -d $RPM_BUILD_ROOT%{gedadocdir}/man

%clean
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README 
%dir %{gedadocdir}/attributes
%dir %{gedadocdir}/fileformats
%dir %{gedadocdir}/gnetlist
%dir %{gedadocdir}/gschem
%dir %{gedadocdir}/hooks
%dir %{gedadocdir}/keymapping
%dir %{gedadocdir}/netattrib
%dir %{gedadocdir}/pads_backannotate
%dir %{gedadocdir}/spice-sdb
%dir %{gedadocdir}/switcap
%dir %{gedadocdir}/symbols
%dir %{gedadocdir}/cascade
%dir %{gedadocdir}/tutorials
%dir %{gedadocdir}/tutorials/gsch2pcb
%dir %{gedadocdir}/tutorials/gsch2pcb/images
%dir %{gedadocdir}/tutorials/tragesym
%dir %{gedadocdir}/man


%{gedadocdir}/attributes/*
%{gedadocdir}/fileformats/*
%{gedadocdir}/gnetlist/*
%{gedadocdir}/gschem/*
%{gedadocdir}/hooks/*
%{gedadocdir}/keymapping/*
%{gedadocdir}/netattrib/*
%{gedadocdir}/pads_backannotate/*
%{gedadocdir}/spice-sdb/*
%{gedadocdir}/switcap/*
%{gedadocdir}/symbols/*
%{gedadocdir}/gedadocs.html
%{gedadocdir}/cascade/*
%{gedadocdir}/tutorials/gsch2pcb/*.html
%{gedadocdir}/tutorials/gsch2pcb/images/*.png
%{gedadocdir}/tutorials/gsch2pcb/images/*.gif
%{gedadocdir}/tutorials/tragesym/*.html
%{gedadocdir}/tutorials/tragesym/*.jpg


%changelog
* Sat Mar 25 2006 joe_morris@ntm.org
- build on SuSE x86_64

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9
- doc directory moved to geda-docs-%{version}

* Thu Feb 27 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- doc directory moved

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030223-1
- updated to version 20030223

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0
- using Makefile

* Mon Jun 3 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- some corrections

* Wed Aug 8 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- updated to version 20010722; built on redhat-7.0
- modified not to use configure & make (missing)

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- initialization of spec file.
  updated to version 20010304; built on redhat-7.0

# end of file
